import { Initializer } from '@azure-tools/codegen';
import { ExpressionOrLiteral } from './expression';
import { TypeDeclaration } from './type-declaration';
/** An c# Attribute that can be placed on methods, classes, members and parameters */
export declare class Attribute extends Initializer {
    type: TypeDeclaration;
    parameters: ExpressionOrLiteral[];
    constructor(type: TypeDeclaration, objectIntializer?: Partial<Attribute>);
    readonly value: string;
}
//# sourceMappingURL=attribute.d.ts.map